1.2
1.2
post /v1/alerts
Description
Create an Alert
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AlertCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AlertCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"description": "Alert1 Description",
"dimension": {
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [],
"evaluation_count": 3,
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"missing_data_option": "BREACHING",
"name": "Alert1",
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"operator": "RANGE",
"period": 300,
"recipient_ids": [
"1234da92-634a-4f8c-932e-9d650599ab1b",
"1234da92-634a-4f8c-932e-9d650599ab1a",
"1234da92-634a-4f8c-932e-9d650599ab1c"
],
"statistic": "AVG",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"threshold": 80.0,
"upper_bound": 90.0,
"violation_count": 2
}
Example HTTP response
Response 201
{
"created_at": "2026-03-25T15:12:06.870Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e"
}